Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Key APIs

Getting Refresh Status of DSM Domains

search

Getting Refresh Status of DSM Domains

Use the get /v1/cckm/dsm/refresh API to view the updated status of a domain refresh process. For this, you need the ID of the key refresh process.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/refresh?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the refresh process. Refer to Refreshing DSM Domains to find out the ID of the refresh process.
overall_status string Overall status of the refresh process.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/refresh?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "d4cbd38e-845e-4f75-9e71-15280084986e",
            "uri": "kylo:kylo:cckm:synchronize:d4cbd38e-845e-4f75-9e71-15280084986e",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-03-03T09:22:15.05611Z",
            "updatedAt": "2021-03-03T09:22:15.636481Z",
            "completed_at": "2021-03-03T09:22:15.636315Z",
            "overall_status": "completed",
            "detailed_status": {
                "6070915c-0ab4-4e7e-bf4d-31dd31214874": "domain synchronized successfully"
            },
            "cloud": "dsm",
            "domains": [
                "6070915c-0ab4-4e7e-bf4d-31dd31214874"
            ],
            "abort": false
        }
    ]
}

The output shows the "overall_status" of the key refresh process is "completed". The "detailed_status" shows the status of individual domains. In the sample output, the "detailed_status" of the domain with ID "6070915c-0ab4-4e7e-bf4d-31dd31214874" is "domain synchronized successfully".

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.